#!/usr/bin/env python
# -*- coding:utf-8 -*-

##
## Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
##
## This software is published by the license of CPU-OS License, you can use and
## distibuted this software under this License. See CPU-OS Liense for more detail.
##
## You should have receive a copy of CPU-OS License. If not, please contact us
## by email <support_os@cpu-os.ac.cn>
##
##

import sys
import os
import subprocess

    
if __name__ == "__main__":
    print "%-42s%-44s%-40s" %("包名", "目标版本", "当前版本")
    try:
        filename = sys.argv[1]
    except:
        filename = os.path.join("/var/log/installer/", "filesystem.manifest")
    new_manifest = {}
    with open(filename, 'r') as f:
        for line in f.readlines():
            key,value = line.split(' ')
            new_manifest[key] = value.strip('\n')
    for package in new_manifest.keys():
        cmd = "dpkg -l %s|awk '{print $3}'|tail -1" %package
        subp = subprocess.Popen(cmd, shell=True, stdout=subprocess.PIPE)
        returncode = subp.wait()
        cur_version = subp.stdout.readline().strip()
        if cur_version == new_manifest[package]:
            continue
        else:
           print "%-40s%-40s%-40s" %(package, new_manifest[package], cur_version)
            
         
    
    
    
                  








