#!/usr/bin/env python
# *-* coding:utf-8 *-*

##
## Copyright (c) 2016-2018 CPU and Fundamental Software Research Center, CAS
##
## This software is published by the license of CPU-OS License, you can use and
## distibuted this software under this License. See CPU-OS Liense for more detail.
##
## You should have receive a copy of CPU-OS License. If not, please contact us
## by email <support_os@cpu-os.ac.cn>
##
##

try:
    import pygtk
    pygtk.require("2.0")
except Exception, detail:
    print detail
    pass
import gtk
import threading

class MessageDialogThread(threading.Thread):
    def __init__(self, title, message):
        threading.Thread.__init__(self)
        self.title = title
        self.message = message
        self.dialog = None


    def run(self):
        self.dialog = gtk.MessageDialog(None, gtk.DIALOG_MODAL | gtk.DIALOG_DESTROY_WITH_PARENT, gtk.MESSAGE_INFO)
        self.dialog.set_title(self.title)
        #dialog.segtk.gdk.threads_enter()t_icon_from_file("/usr/lib/linuxmint/mintUpdate/icons/base.svg")
        self.dialog.set_markup(self.message)
        spinner = gtk.Spinner()
        spinner.start()
        self.dialog.vbox.add(spinner)
        self.dialog.set_position(gtk.WIN_POS_CENTER)
        self.dialog.set_default_size(320, 200)
        self.dialog.set_resizable(True)
        self.dialog.show_all()
        self.dialog.run()
        self.dialog.destroy()





